C
C SUBROUTINE 'QGMPXY'
C ===================
C
C GET PIXEL COORDINATES FROM INPUT (PIXEL/MAPPED) COORDINATES
C (BASICALLY FOR INTERNAL USE)
C
      SUBROUTINE QGMPXY (X, Y, XP, YP)
C
C PARAMETERS
C
C           X (I)   INPUT X COORDINATE (PIXEL OR MAPPED DEPENDING ON MAPPING)
C           Y (I)   INPUT Y COORDINATE
C          XP (O)   PIXEL X COORDINATE
C          YP (O)   PIXEL Y COORDINATE
C
C SPECIFICATION STATEMENTS
C ------------------------
C
      LOGICAL MAP
      COMMON /QQMAP/ MAP, XPMIN, XPMAX, YPMIN, YPMAX, 
     *               XMMIN, XMMAX, YMMIN, YMMAX, XSC, YSC
      SAVE /QQMAP/
C
C TRANSFORM COORDINATES
C ---------------------
C
      IF (MAP) THEN
         XP = XPMIN + (X-XMMIN)*XSC
         YP = YPMIN + (Y-YMMIN)*YSC
      ELSE
         XP = X
         YP = Y
      ENDIF
      RETURN
      END
