C LAST UPDATE: 
C+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
C**************************
C**     LDM_GET_RADBKG    **
C**************************
C
C
CD-Doc:
C TITLe            SUBROUTINE LDM_GET_RADBKG (VALSTR, IFLAG)
CD-end
      SUBROUTINE LDM_GET_RADBKG (VALSTR, IFLAG)
C
      INCLUDE 'implicit_none.finc'
C
C Purpose: Get value of string parameter RADIAL_BKG
C          Will be either 'yes', 'no', 'on', or 'off'; yes/no and on/off
C          mean the same.
C
C Taken from LDM_GET_TITLE
C
C Arguments:
C
      CHARACTER*(*) VALSTR
      INTEGER IFLAG

C  VALSTR    (W)   String (up to 120 chars)
C  IFLAG     (W)   Flag = -1 undefined value
C                       =  0 default value
C                       =  1 value set explicitly
C                       =  2 value set globally
C
C====== GLOBALS:
C
      INCLUDE 'ldm_data.finc'
      EXTERNAL LDM_BDAT
C
C====== LOCALS:
C

C
C-------------------------------------------------------------------------------
C
      VALSTR = RADBKG
      IFLAG = IS_RADBKG
      RETURN
      END
