**==mtx_sca_mult.f  
C++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
C
      SUBROUTINE  MTX_SCA_MULT (A,R,S,M,N)
C
C Purpose: MTX_SCA_MULT multiplies (mxn) matrix A by scalar S, result in R
C
C      IMPLICIT NONE
      INTEGER  M, N
      REAL     A(M,N), R(M,N), S
C
C
C-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-
C Local Variables:
C
      INTEGER  I, J
C
C------------------------------------------------------------------------------
C
      DO 30 I = 1 , M
         DO 20 J = 1 , N
            R(I,J) = S*A(I,J)
 20      CONTINUE
 30   CONTINUE
C
      RETURN
      END
