C
C SUBROUTINE 'QSCLRC'
C ===================
C
C CLEAR CHARACTERS FROM A GIVEN CURSOR POSITION ON ANSI SCREEN
C
      SUBROUTINE QSCLRC(ICOL,ILIN,NCHAR)
C
C PARAMETERS
C
C       ICOL (I)   COLUMN NO. 1-80
C       ILIN (I)   LINE NO. 1-24
C      NCHAR (I)   THE NUMBER OF CHARACTERS TO BE CLEARED (IF GREATER THAN
C                  TO END OF LINE THEN CLEAR WILL STOP AT END OF LINE)
C
C SPECIFICATION STATEMENTS
C ------------------------
C
      CHARACTER*80 BLANK
      DATA BLANK/' '/
C
C CODE
C ----
C
      NC=NCHAR
      IF (ICOL+NC.GT.81) NC=80-ICOL+1
      IF (ICOL.LT.1 .OR. ICOL.GT.80) RETURN
      IF (ILIN.LT.1 .OR. ILIN.GT.24) RETURN
      CALL QSSETC(ICOL,ILIN)
      CALL QGSEND(BLANK(1:NC))
      RETURN
      END
